Commit 7366021e authored by Samuel Pitoiset's avatar Samuel Pitoiset

radv: require LLVM 11 for GFX 10.3

Signed-off-by: Samuel Pitoiset's avatarSamuel Pitoiset <samuel.pitoiset@gmail.com>
parent 4a57edec
This commit is part of merge request !5389. Comments created here will be created in the context of that merge request.
......@@ -45,6 +45,12 @@ do_winsys_init(struct radv_amdgpu_winsys *ws, int fd)
if (!ac_query_gpu_info(fd, ws->dev, &ws->info, &ws->amdinfo))
return false;
/* LLVM 11 is required for GFX10.3. */
if (ws->info.chip_class == GFX10_3 && LLVM_VERSION_MAJOR < 11) {
fprintf(stderr, "radv: GFX 10.3 requires LLVM 11 or higher\n");
return false;
}
/* LLVM 9.0 is required for GFX10. */
if (ws->info.chip_class == GFX10 && LLVM_VERSION_MAJOR < 9) {
fprintf(stderr, "radv: Navi family support requires LLVM 9 or higher\n");
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment